/* css based of nearfar.org
 */

/* The Standard */

body { 
  font-family: verdana;
  background-color: white;
  margin-left: 3%;
  font-size: 14px;
}

img { border: none; }
        
a:link    { text-decoration: none;  }
a:visited { text-decoration: none;  }
a:hover   { text-decoration: none; background-color: #b9badb; }
a:active  { text-decoration: none; background-color: #b9badb; }


/* Browser table */

table.listing {
border-bottom:1px solid #D7D7D7;
border-collapse:collapse;
border-spacing:0;
clear:both;
margin-top:1em;
width:100%;
font-size: 0.95em;
}

table.listing th {
font-size:12px;
text-align:left;
padding:0 1em 0.1em 0;
}

table.listing thead {
background:#F7F7F0 none repeat scroll 0;
}

table.listing thead th {
font-size:11px;
font-weight:700;
vertical-align:bottom;
border-color:#D7D7D7 #d7d7d7 #999;
border-style:solid;
border-width:1px;
padding:2px 0.5em;
}

table.listing tbody td,table.listing tbody th {
border:1px dotted #DDD;
vertical-align:top;
padding:0.33em 0.5em;
}

table.listing tbody tr {
border-top:1px solid #DDD;
}

table.listing tbody tr.even {
background-color:#FCFCFC;
}

table.listing tbody tr.odd {
background-color:#F7F7F7;
}

table.listing tbody tr:hover {
background:#EED none repeat scroll 0 !important;
}

#dirlist td.rev,#dirlist td.age,#dirlist td.change {
color:#888;
vertical-align:baseline;
white-space:nowrap;
}

#dirlist td.rev {
font-family:monospace;
font-size:90%;
letter-spacing:-0.08em;
text-align:right;
}

#dirlist td.size {
color:#888;
font-size:70%;
text-align:right;
vertical-align:middle;
white-space:nowrap;
}

#dirlist td.name {
width:100%;
}

#dirlist td.name a,#dirlist td.name span {
background-position:0 50%;
background-repeat:no-repeat;
padding-left:20px;
}

#dirlist td.name a.parent {
background-image:url(../img/parent.png);
}

#dirlist td.name a.dir {
background-image:url(../img/folder.png);
}

#dirlist td.name a.file {
background-image:url(../img/file.png);
}

#dirlist td.name a,#dirlist td.rev a {
border-bottom:medium none;
display:block;
}

#dirlist td.change {
font-size:65%;
vertical-align:middle;
white-space:nowrap;
}

/* Links */
*:link,*:visited {
color:#B00;
text-decoration:none;
}

*:link:hover,*:visited:hover {
background-color:#EEE;
color:#555;
}

/* pygments */
div.highlight { 
padding-left: 1em;
border: 1px solid gray;
}

/* breadcrumb */
h2.breadcrumb {
color:#555555;
}

h2.breadcrumb strong {
color:#BB0000;
}

h2.breadcrumb strong#branch{ 
background-color: lavender;
}

/* file:rev */
div.fileinfo { 
float: right; 
background-color: lavender; 
margin: 1em; 
padding: 2px; 
opacity: .3; /* TODO: opacity: does not work in IE */
}

div.fileinfo:hover { 
opacity: 1;
}